跳转到主要内容
平台运维/灾备管理/持续数据保护(CDP)/持续数据保护(CDP)相关接口
GETCDP Operations起始版本 4.5.0同步需要认证

查找CDP保护恢复点

查找CDP保护恢复点

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

路径参数

查询参数

请求参数

路径参数

  • uuidString必填

    资源的UUID,唯一标示该资源

查询参数

  • limitInteger

    查找返回的最大记录数

  • startInteger

    查找的起始位置

  • systemTagsList

    系统标签

  • userTagsList

    用户标签

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • recoveryPointsMap必填

    CDP恢复点列表

  • successboolean必填

    成功

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

请求地址

GET/zstack/v1/vm-instances/{uuid}/protected-recovery-points

/zstack/v1/vm-instances/{uuid}/protected-recovery-points

操作 ID

GetVmInstanceProtectedRecoveryPoints

永久链接

请求示例

curl -X GET 'http://{host}/zstack/v1/vm-instances/{uuid}/protected-recovery-points?limit=1&start=1&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

响应示例

200
{ "recoveryPoints": { "22d49432eaf23ef0996ac976e0b91185": [ { "id": 1.0, "grpId": 1.0, "size": 851968.0, "volId": "22d49432eaf23ef0996ac976e0b91185", "ts": "2021-06-29T19:49:45+08:00" } ], "71423fb28eb135c994e566badfd8aece": [ { "id": 2.0, "grpId": 0.0, "size": 196608.0, "volId": "71423fb28eb135c994e566badfd8aece", "ts": "2021-06-29T19:49:47+08:00" } ] } }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史